package com.gyee.wisdom.dao.timeseries;

import com.gyee.wisdom.common.data.timeseries.*;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface IHistoryDao {

    List<TsData> getTsDataHistory(TsQuery tsQuery) throws Exception;

    List<DoubleStatData> getDoubleStatDataHistory(TsQuery tsQuery) throws Exception;

    boolean writeHistoryValue(List<TsPointData> dataList) throws Exception;

    /**
     * @param tsPoints  标签点
     * @param ts 时间点（秒级）
     * 上一个最近的数据
     * @return
     * @throws Exception
     */
    Map<String, TsData> getHistorySection(List<TsPoint> tsPoints , Long ts) throws Exception;

}
